echo off
REM TTF2T42WE.bat is a modified version of TTF2T42.bat file of the same name
REM in folder C:\BatchFiles. That file is intended to be used from the Windows
REM command prompt and requires only the root name of the TrueType font
REM file as its single argument, it being assumed that all TrueType fonts
REM are kept in folder C:\Winnt\Fonts. This file is used from within the
REM Windows Explorer environment. The argument which Windows Explorer
REM passes to a batch file in its SendTo folder is the full path name of
REM the file being sent. This batch file recognises that by making its
REM argument, %1, the full path name.
REM TTF2T42.bat is a Windows batch file intended to run GhostScript on
REM file TrueTypeToType42.ps in order to convert the TrueType font file
REM specified by the single command line argument to a PostScript type 42
REM font file. It generates the Type 42 file, a list of its
REM glyphs in ASCII sort order, and a record of its progress.
REM The name of the font file is the PostScript name
REM of the font with extension pfa. The root name of the glyph list
REM file is the PostScript name of the font with the extension .glyphs.
REM The name of the progress record file is TrueTypeToType42.out.
REM For example, if the TrueType file is Times.ttf and its PostScript name
REM is TimesNewRomanPSMT, its Type 42 file is called TimesNewRomanPSMT.pfa
REM and its glyph file is TimesNewRomanPSMT.glyphs.
REM These three output files are created in your root folder. In my case
REM this is C:\. If you wish to create them in another folder, its path
REM must be include in the commands in TrueTypeToType42.ps which open
REM the files for writing.
REM The PFA file can be used like a Type 1 PFA file:
REM    it can be inserted as-is into the prologue of any PostScript file using the font.
REM    it can be downloaded as-is to a printer hard disk.
REM    it can be renamed and/or reencoded.
REM In the glyph file:
REM    the first line gives the PostScript name of the font,
REM    the second line gives the number of glyphs.
REM    the remaining lines contain the glyph names in ASCII sort order,
REM    one glyph name per line.
REM It is assumed that the GhostScript executable is:
REM    C:\GS\GS7.00\bin\gswin32
REM and that the TrueType fonts are stored in:
REM    C:\Winnt\Fonts
REM These two items should be changed to suit individual installations.
REM Depending on the number of glyphs defined by the font, the program may
REM take several minutes to run and you are given lots of informative reports
REM on progress in the GhostScript stdout window.
REM Most of the running time is taken up by sorting the glyph names
REM into ASCII order.
REM Since type 42 fonts were only introduced about half way through the
REM life of PostScript 2, you must use a recent version of GhostScript.
REM I have successfully used it with GhostScript 6.50 and 7.00
if "%1"=="" goto G1
if not exist %1 goto G2
C:\GS\GS7.00\bin\gswin32 -IC:\GS\GS7.00 -- D:\Fonts\TrueType\Utilities\TrueTypeToType42.ps %1
goto End
:G1 echo  You must give the root name of the TTF file as the command
echo line argument. Please try again.
goto End
:G2 echo  I cannot file the TrueType input file %1.ttf in folder
echo C:\Winnt\Fonts. Please check and try again.
goto End
:End